Oplossing: kan de cdrom niet ophalen apt-get update kan niet worden gebruikt om nieuwe cd-roms toe te voegen

Deze dagen experimenteer ik met Elementary OS Freya en tijdens dit, kwam ik een zeer gemeenschappelijke update-fout tegen: Faalt om cdrom te halen Gebruik apt-cdrom om deze CD-ROM door APT te laten herkennen. apt-get update kan niet worden gebruikt om nieuwe CD-ROM's toe te voegen . De volledige fout zag er als volgt uit na het uitvoeren van de opdracht apt-get update:

W: Kan cdrom: // elementary OS 0.3 _Freya_ - Daily amd64 (20150208) / dists / trusty / main / binary-amd64 / Packages niet ophalen Gebruik apt-cdrom om deze CD-ROM door APT te laten herkennen. apt-get update kan niet worden gebruikt om nieuwe CD-ROM's toe te voegen

W: Kan cdrom: // elementary OS 0.3 _Freya_ - Daily amd64 (20150208) / dists / trusty / restricted / binary-amd64 / Packages niet ophalen Gebruik aub apt-cdrom om deze CD-ROM door APT te laten herkennen. apt-get update kan niet worden gebruikt om nieuwe CD-ROM's toe te voegen

E: Sommige indexbestanden kunnen niet worden gedownload. Ze zijn genegeerd, of oude gebruikt.

In dit bericht zullen we zien hoe deze fout kan worden opgelost.

Oplossing kan cdrom niet ophalen apt-get-update kan niet worden gebruikt om een ​​nieuwe cd-rom-fout toe te voegen

De reden voor deze fout is dat cdrom is opgenomen als een van de bronnen hier. En om dit probleem op te lossen, moeten we dit verwijderen uit de lijst met softwarebronnen.

Zoek in Ubuntu naar Software & Updates:

Zoek in het eerste tabblad Ubuntu Software naar de cdrom, als deze is aangevinkt, haal je het vinkje weg.

Sluit de softwarebronnen en voer de update opnieuw uit. Het zou nu goed moeten werken.

Verder oplossen van problemen:

De hierboven beschreven methode zou moeten hebben opgelost dat deze apt-get update niet kan worden gebruikt om nieuwe CD-ROM's fouten toe te voegen . Maar dit was niet het geval voor mij omdat de optie van cdrom al grijs was omdat ik een live sessie gebruikte.

Om onze fout te herstellen, nemen we de opdrachtregelroute. Open een terminal en gebruik de volgende regel om te zien wat er in de bronnenlijst staat:

cat /etc/apt/sources.list 

De output voor mij was als volgt:

deb cdrom: [elementaire OS 0.3 _Freya_ - Dagelijkse amd64 (20150208)] / vertrouwelijke hoofd beperkt

deb //archive.ubuntu.com/ubuntu/ betrouwbaar hoofd beperkt universum-universum

deb-src //archive.ubuntu.com/ubuntu/ betrouwbaar hoofd beperkt universum-universum

deb //security.ubuntu.com/ubuntu/ trusty-security belangrijkste universum-multiversum beperkt

deb-src //security.ubuntu.com/ubuntu/ trusty-security hoofd beperkt universum-multiversum

deb //archive.ubuntu.com/ubuntu/ trusty-updates hoofd beperkt universum-multiversum

deb-src //archive.ubuntu.com/ubuntu/ trusty-updates hoofd beperkt universum-multiversum

Kijk naar de eerste regel in de bovenstaande lijst. Het bevat cdrom. We moeten deze regel uitspreken door # ervoor toe te voegen om het er zo uit te laten zien:

#deb cdrom: [elementaire OS 0.3 _Freya_ - Dagelijkse amd64 (20150208)] / vertrouwde hoofdbeperking

Gebruik hiervoor de onderstaande opdracht:

 sudo gedit /etc/apt/sources.list 

Nadat u de sources.list hebt bewerkt, voert u de apt-get update nogmaals uit. De fout apt-get update kan niet worden gebruikt om nieuwe CD-ROM's toe te voegen die moeten zijn hersteld. Als u met een ander updateprobleem te maken krijgt, bekijk dan dit artikel dat een verzameling is van de meest voorkomende Ubuntu-updatefout-oplossingen.

Ik hoop dat je deze tutorial nuttig hebt gevonden. Als u vragen of suggesties heeft, kunt u een opmerking plaatsen.

Aanbevolen

Popcorn Time installeren op Ubuntu 18.04 en andere Linux-distributies
2019
SuiteCRM: een open source CRM richt zich op Salesforce
2019
Een nieuw Linux OS "OSU" dat Ubuntu Of Arch Linux World wil zijn
2019